Problem mit FreeSwan Installation unter Fedora 4

#0
30.05.2006, 06:06
...neu hier

Beiträge: 1
#1 Hi,

habe versucht FreeS/Wan zu installieren.

ich gehe nach Anleitung vor.

make programs

[....]

../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_msg_hdr_build«:
../../linux/net/ipsec/pfkey_v2_build.c:192: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_sa_ref_build«:
../../linux/net/ipsec/pfkey_v2_build.c:316: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_lifetime_build«:
../../linux/net/ipsec/pfkey_v2_build.c:393: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_address_build«:
../../linux/net/ipsec/pfkey_v2_build.c:513: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_key_build«:
../../linux/net/ipsec/pfkey_v2_build.c:585: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_ident_build«:
../../linux/net/ipsec/pfkey_v2_build.c:672: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_sens_build«:
../../linux/net/ipsec/pfkey_v2_build.c:726: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_prop_build«:
../../linux/net/ipsec/pfkey_v2_build.c:785: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_supported_build«:
../../linux/net/ipsec/pfkey_v2_build.c:866: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_spirange_build«:
../../linux/net/ipsec/pfkey_v2_build.c:947: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_x_kmprivate_build«:
../../linux/net/ipsec/pfkey_v2_build.c:991: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_x_satype_build«:
../../linux/net/ipsec/pfkey_v2_build.c:1044: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_x_debug_build«:
../../linux/net/ipsec/pfkey_v2_build.c:1101: Fehler: ungültiger L-Wert in Zuweisung
../../linux/net/ipsec/pfkey_v2_build.c: In Funktion »pfkey_msg_build«:
../../linux/net/ipsec/pfkey_v2_build.c:1240: Fehler: ungültiger L-Wert in Zuweisung
make[2]: *** [pfkey_v2_build.o] Fehler 1
make[2]: Leaving directory `/root/freeswan-2.06/lib/libfreeswan'
make[1]: *** [programs] Fehler 1
make[1]: Leaving directory `/root/freeswan-2.06/lib'
make: *** [programs] Fehler 1
[root@vpn freeswan-2.06]#
[root@vpn freeswan-2.06]#

was hab ich davon zu halten? bzw. wie bekomme ich das weg?

Über die letzten aktuellen RPMs gings leider auch nicht, danach hatte er Probleme "Pluto" zu starten.

Btw. andere Frage. Wo ist der genaue Unterschied zwischen openswan und freeswan?

Hoffe sehr mir kann jemand helfen.

Gruß Sebastian
Seitenanfang Seitenende
30.05.2006, 09:19
Member
Avatar Xeper

Beiträge: 5285
#2

Zitat

Btw. andere Frage. Wo ist der genaue Unterschied zwischen openswan und freeswan?
Das scheinen wohl 2 Unterschiedliche Projekte mit dem selben Ziel zu sein.

Zitat

http://www.freeswan.org/freeswan_trees/freeswan-2.06/doc/install.html#srcinstall
Die hast du befolgt? - 2.06?

Sieht ganz nach einer Inkompatibilität in den gcc tool chains aus.
Mach mal bite gcc -v und paste den output.
Auch bitte uname -a und pasten und auch sagen welche Distribution du besitzt.

Edit:

Hmm ich sehe grad auch das könnte Problem mit den linux sources sein die du benutzt, ebenfalls möglch.
Machst mal bitte gleich noch ls -lsd /usr/src/linux, ebenfalls pasten.
__________
Email/XMPP: therion at ninth-art dot de
IRC: megatherion @ Freenode
Dieser Beitrag wurde am 30.05.2006 um 09:22 Uhr von Xeper editiert.
Seitenanfang Seitenende
30.05.2006, 09:32
Member
Avatar Xeper

Beiträge: 5285
#3 So Nachtrag:

Hab das mal selbst ausprobiert:

../../linux/net/ipsec/pfkey_v2_build.c: In function 'pfkey_x_kmprivate_build':
../../linux/net/ipsec/pfkey_v2_build.c:991: error: invalid lvalue in assignment
../../linux/net/ipsec/pfkey_v2_build.c: In function 'pfkey_x_satype_build':
../../linux/net/ipsec/pfkey_v2_build.c:1044: error: invalid lvalue in assignment
../../linux/net/ipsec/pfkey_v2_build.c: In function 'pfkey_x_debug_build':
../../linux/net/ipsec/pfkey_v2_build.c:1101: error: invalid lvalue in assignment
../../linux/net/ipsec/pfkey_v2_build.c: In function 'pfkey_msg_build':
../../linux/net/ipsec/pfkey_v2_build.c:1240: error: invalid lvalue in assignment
make[2]: *** [pfkey_v2_build.o] Error 1
make[2]: Leaving directory `/usr/src/freeswan-2.06/lib/libfreeswan'
make[1]: *** [programs] Error 1
make[1]: Leaving directory `/usr/src/freeswan-2.06/lib'
make: *** [programs] Error 1

selber Fehler.
Ich denke das diese sources mit meinem Kernel inkompatibel sind - ist es möglich das freeswan tot ist und nicht mehr maintained wird?
Weiß ich nicht aber Openswan funktionierte ohne Probleme (das kompilieren jedenfalls).
Ich schlage vor du versuchst Openswan.

Edit: kein wunder warum das nicht geht ->

Zitat

The current version of Linux FreeS/WAN is 2.06, released 2004/04/22.
Ja in der Zeit hat sich der IPsec code im kernel scho 10k x geändert.
Freeswan wird dann wohl nicht mehr maintained.

Zitat

chimaere freeswan-2.06 # uname -a
Linux chimaere 2.6.17-rc3-mm1-chimaere #3 SMP PREEMPT Wed May 24 00:49:49 CEST 2006 x86_64 Intel(R) Pentium(R) D CPU 2.66GHz GNU/Linux
chimaere freeswan-2.06 # gcc -v
Using built-in specs.
Target: x86_64-pc-linux-gnu
Configured with: /var/tmp/portage/gcc-4.1.1/work/gcc-4.1.1/configure --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/4.1.1 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.1/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.1 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.1/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.1/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.1/include/g++-v4 --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --disable-altivec --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --disable-libunwind-exceptions --enable-multilib --disable-libmudflap --disable-libssp --disable-libgcj --enable-languages=c,c++,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu
Thread model: posix
gcc version 4.1.1 (Gentoo 4.1.1)

__________
Email/XMPP: therion at ninth-art dot de
IRC: megatherion @ Freenode
Dieser Beitrag wurde am 30.05.2006 um 10:23 Uhr von Xeper editiert.
Seitenanfang Seitenende
22.06.2006, 11:28
Member

Beiträge: 105
#4 Freeswan wird schon seit einiger Zeit nicht mehr "maintained", wie Xeper das schon sagt. Openswan ist der Nachfolger und funktioniert sehr gut. Versuchs mal bitte damit, wenn es dann nicht klappt, kannst du dich nochmal melden.

Don
Seitenanfang Seitenende
Um auf dieses Thema zu ANTWORTEN
bitte erst » hier kostenlos registrieren!!

Folgende Themen könnten Dich auch interessieren: